Bug 174465 - New port: devel/ChipmunkPhysics - A 2D physics engine written in C
New port: devel/ChipmunkPhysics - A 2D physics engine written in C
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Bryan Drewery
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-16 01:40 UTC by ports
Modified: 2012-12-28 16:00 UTC (History)
0 users

See Also:


Attachments
file.shar (2.98 KB, text/plain)
2012-12-16 01:40 UTC, ports
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description ports 2012-12-16 01:40:00 UTC
Tested to work on the following compilers:

- FreeBSD clang version 3.1 (branches/release_31 156863) 20120523
  Target: x86_64-unknown-freebsd9.0
  Thread model: posix
This is the compiler that's in 9.1-RC3 core.

- All sorts of versions of GCC, both for x86 and amd64 architectures

The library is also known to work on ARM platforms, but I haven't tested it myself.

NOTE: This port does *NOT* work with clang 3.0. Collision detection does not work for some reason (I suspect a compiler bug for reasons I will not go into here) if the library is compiled with that compiler.

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ChipmunkPhysics
#	ChipmunkPhysics/pkg-descr
#	ChipmunkPhysics/pkg-plist
#	ChipmunkPhysics/distinfo
#	ChipmunkPhysics/Makefile
#
echo c - ChipmunkPhysics
mkdir -p ChipmunkPhysics > /dev/null 2>&1
echo x - ChipmunkPhysics/pkg-descr
sed 's/^X//' >ChipmunkPhysics/pkg-descr << 'c1aac77d96f1c9251f9034a2dc2befcb'
XChipmunk is a simple, lightweight, fast and portable 2D rigid body physics
Xlibrary written in C. It's licensed under the unrestrictive, OSI approved MIT
Xlicense.
X
XWWW: http://chipmunk-physics.net/
c1aac77d96f1c9251f9034a2dc2befcb
echo x - ChipmunkPhysics/pkg-plist
sed 's/^X//' >ChipmunkPhysics/pkg-plist << 'fa4a7a6794330afb2ee2cb5f2174c4b2'
Xlib/libchipmunk.so.6.1.2
Xlib/libchipmunk.so
Xlib/libchipmunk.a
Xinclude/chipmunk/cpBody.h
Xinclude/chipmunk/chipmunk_unsafe.h
Xinclude/chipmunk/cpVect.h
Xinclude/chipmunk/cpSpatialIndex.h
Xinclude/chipmunk/chipmunk_ffi.h
Xinclude/chipmunk/chipmunk.h
Xinclude/chipmunk/cpShape.h
Xinclude/chipmunk/cpSpace.h
Xinclude/chipmunk/cpPolyShape.h
Xinclude/chipmunk/chipmunk_types.h
Xinclude/chipmunk/cpArbiter.h
Xinclude/chipmunk/cpBB.h
Xinclude/chipmunk/chipmunk_private.h
Xinclude/chipmunk/constraints/cpConstraint.h
Xinclude/chipmunk/constraints/util.h
Xinclude/chipmunk/constraints/cpGearJoint.h
Xinclude/chipmunk/constraints/cpGrooveJoint.h
Xinclude/chipmunk/constraints/cpSlideJoint.h
Xinclude/chipmunk/constraints/cpDampedRotarySpring.h
Xinclude/chipmunk/constraints/cpPivotJoint.h
Xinclude/chipmunk/constraints/cpDampedSpring.h
Xinclude/chipmunk/constraints/cpRatchetJoint.h
Xinclude/chipmunk/constraints/cpSimpleMotor.h
Xinclude/chipmunk/constraints/cpRotaryLimitJoint.h
Xinclude/chipmunk/constraints/cpPinJoint.h
X@dirrm include/chipmunk/constraints
X@dirrm include/chipmunk
fa4a7a6794330afb2ee2cb5f2174c4b2
echo x - ChipmunkPhysics/distinfo
sed 's/^X//' >ChipmunkPhysics/distinfo << '537375e7c769027f598d827bb407173f'
XSHA256 (Chipmunk-6.1.2.tgz) = f9d3e7d2480e50b034081613c18fa90421d5bf002af813ef1443e832dac43fc2
XSIZE (Chipmunk-6.1.2.tgz) = 324892
537375e7c769027f598d827bb407173f
echo x - ChipmunkPhysics/Makefile
sed 's/^X//' >ChipmunkPhysics/Makefile << 'b80ce814beb73d1a0b93b84898a3a8a0'
X# Created by: Tim Cas <ports@stdrand.com>
X# $FreeBSD$
X
XPORTNAME=		ChipmunkPhysics
XPORTVERSION=		6.1.2
XCATEGORIES=		devel
XMASTER_SITES=		http://chipmunk-physics.net/release/Chipmunk-6.x/ \
X			http://files.libsiege.org/chipmunk/
XDISTNAME=		Chipmunk-${PORTVERSION}
XEXTRACT_SUFX=		.tgz
X
XMAINTAINER=	ports@stdrand.com
XCOMMENT=	A 2D physics engine written in C
X
XLICENSE=	MIT
XLICENSE_FILE=	${WRKSRC}/LICENSE.txt
X
X#OPTIONS_DEFINE=	DEMO
X#DEMO_DESC=	Build and install the demo program
X
XUSE_CMAKE=	yes
XCMAKE_ARGS=	-DBUILD_DEMOS=OFF
X
XUSE_LDCONFIG=	yes
X
X.include <bsd.port.mk>
b80ce814beb73d1a0b93b84898a3a8a0
exit


Patch attached with submission follows:
How-To-Repeat: n/a
Comment 1 Bryan Drewery freebsd_committer 2012-12-16 16:22:01 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bdrewery

I'll take it.
Comment 2 darkuranium 2012-12-22 14:24:08 UTC
Do you reckon that it should be "devel/chipmunk-physics" instead? I can
easily modify the port.

The reason it's not simply "devel/chipmunk" is that the name "chipmunk" is
already taken by "cad/chipmunk".
Comment 3 Bryan Drewery freebsd_committer 2012-12-28 15:57:43 UTC
State Changed
From-To: open->closed

New port added, with minor changes. Thanks!
Comment 4 dfilter freebsd_committer 2012-12-28 15:57:46 UTC
Author: bdrewery
Date: Fri Dec 28 15:57:37 2012
New Revision: 309574
URL: http://svnweb.freebsd.org/changeset/ports/309574

Log:
  Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
  library written in C. It's licensed under the unrestrictive, OSI approved MIT
  license.
  
  WWW: http://chipmunk-physics.net/
  
  PR:		ports/174465
  Submitted by:	"Tim &#268;as" <ports@stdrand.com>

Added:
  head/devel/ChipmunkPhysics/
  head/devel/ChipmunkPhysics/Makefile   (contents, props changed)
  head/devel/ChipmunkPhysics/distinfo   (contents, props changed)
  head/devel/ChipmunkPhysics/pkg-descr   (contents, props changed)
  head/devel/ChipmunkPhysics/pkg-plist   (contents, props changed)
Modified:
  head/devel/Makefile

Added: head/devel/ChipmunkPhysics/Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ChipmunkPhysics/Makefile	Fri Dec 28 15:57:37 2012	(r309574)
@@ -0,0 +1,23 @@
+# Created by: Tim Cas <ports@stdrand.com>
+# $FreeBSD$
+
+PORTNAME=	ChipmunkPhysics
+PORTVERSION=	6.1.2
+CATEGORIES=	devel
+MASTER_SITES=	http://chipmunk-physics.net/release/Chipmunk-6.x/ \
+		http://files.libsiege.org/chipmunk/
+DISTNAME=	Chipmunk-${PORTVERSION}
+EXTRACT_SUFX=	.tgz
+
+MAINTAINER=	ports@stdrand.com
+COMMENT=	2D physics engine written in C
+
+LICENSE=	MIT
+LICENSE_FILE=	${WRKSRC}/LICENSE.txt
+
+USE_CMAKE=	yes
+CMAKE_ARGS=	-DBUILD_DEMOS=OFF
+
+USE_LDCONFIG=	yes
+
+.include <bsd.port.mk>

Added: head/devel/ChipmunkPhysics/distinfo
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ChipmunkPhysics/distinfo	Fri Dec 28 15:57:37 2012	(r309574)
@@ -0,0 +1,2 @@
+SHA256 (Chipmunk-6.1.2.tgz) = f9d3e7d2480e50b034081613c18fa90421d5bf002af813ef1443e832dac43fc2
+SIZE (Chipmunk-6.1.2.tgz) = 324892

Added: head/devel/ChipmunkPhysics/pkg-descr
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ChipmunkPhysics/pkg-descr	Fri Dec 28 15:57:37 2012	(r309574)
@@ -0,0 +1,5 @@
+Chipmunk is a simple, lightweight, fast and portable 2D rigid body physics
+library written in C. It's licensed under the unrestrictive, OSI approved MIT
+license.
+
+WWW: http://chipmunk-physics.net/

Added: head/devel/ChipmunkPhysics/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/ChipmunkPhysics/pkg-plist	Fri Dec 28 15:57:37 2012	(r309574)
@@ -0,0 +1,30 @@
+lib/libchipmunk.so.6.1.2
+lib/libchipmunk.so
+lib/libchipmunk.a
+include/chipmunk/cpBody.h
+include/chipmunk/chipmunk_unsafe.h
+include/chipmunk/cpVect.h
+include/chipmunk/cpSpatialIndex.h
+include/chipmunk/chipmunk_ffi.h
+include/chipmunk/chipmunk.h
+include/chipmunk/cpShape.h
+include/chipmunk/cpSpace.h
+include/chipmunk/cpPolyShape.h
+include/chipmunk/chipmunk_types.h
+include/chipmunk/cpArbiter.h
+include/chipmunk/cpBB.h
+include/chipmunk/chipmunk_private.h
+include/chipmunk/constraints/cpConstraint.h
+include/chipmunk/constraints/util.h
+include/chipmunk/constraints/cpGearJoint.h
+include/chipmunk/constraints/cpGrooveJoint.h
+include/chipmunk/constraints/cpSlideJoint.h
+include/chipmunk/constraints/cpDampedRotarySpring.h
+include/chipmunk/constraints/cpPivotJoint.h
+include/chipmunk/constraints/cpDampedSpring.h
+include/chipmunk/constraints/cpRatchetJoint.h
+include/chipmunk/constraints/cpSimpleMotor.h
+include/chipmunk/constraints/cpRotaryLimitJoint.h
+include/chipmunk/constraints/cpPinJoint.h
+@dirrm include/chipmunk/constraints
+@dirrm include/chipmunk

Modified: head/devel/Makefile
==============================================================================
--- head/devel/Makefile	Fri Dec 28 15:54:54 2012	(r309573)
+++ head/devel/Makefile	Fri Dec 28 15:57:37 2012	(r309574)
@@ -4,6 +4,7 @@
     COMMENT = Development utilities
 
     SUBDIR += 9base
+    SUBDIR += ChipmunkPhysics
     SUBDIR += ElectricFence
     SUBDIR += ORBit
     SUBDIR += ORBit2
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"